My Project: loadX Namespace Reference

My Project

Classes | Functions | Variables
loadX Namespace Reference

## Classes

class | XLoader_TreeNode

## Functions

string | xReadString (File *file, int lenght)
string | xReadAll (File *file)
void | string_find_and_replace (string &source, string find, string replace)
double | convertToDouble (std::string const &s)
vector< string > | split (const string &strValue, char separator)
string | XLoader_RemoveUnprintables (string s)
int | XLoader_FindBracketMatch (string s)
int | XLoader_FindAlphaChar (string s)
XLoader_TreeNode * | XLoader_MakeTree (string s, XLoader_TreeNode *parent=0)
void | loadBrush (list< XLoader_TreeNode *> matlist, Brush *brushes[], vector< string > &brushnames)
list< XLoader_TreeNode * > | XLoader_FindTreeElements (XLoader_TreeNode *tree, string Template, int recur=0)
Mesh * | LoadX (string URL, Entity *parent_ent)

## Variables

File * | Stream
list< int > | MovedTris

## Function Documentation

## § convertToDouble()

double loadX::convertToDouble | ( | std::string const & | s | ) |

inline

## § loadBrush()

void loadX::loadBrush | ( | list< XLoader_TreeNode *> | matlist,
|  | Brush * | brushes[],
|  | vector< string > & | brushnames
| ) |  |

## § LoadX()

Mesh * loadX::LoadX | ( | string | URL,
|  | Entity * | parent_ent
| ) |  |

## § split()

vector<string> loadX::split | ( | const string & | strValue,
|  | char | separator
| ) |  |

inline

## § string_find_and_replace()

void loadX::string_find_and_replace | ( | string & | source,
|  | string | find,
|  | string | replace
| ) |  |

## § XLoader_FindAlphaChar()

int loadX::XLoader_FindAlphaChar | ( | string | s | ) |

## § XLoader_FindBracketMatch()

int loadX::XLoader_FindBracketMatch | ( | string | s | ) |

## § XLoader_FindTreeElements()

list<XLoader_TreeNode*> loadX::XLoader_FindTreeElements | ( | XLoader_TreeNode * | tree,
|  | string | Template,
|  | int | recur = `0`
| ) |  |

## § XLoader_MakeTree()

XLoader_TreeNode* loadX::XLoader_MakeTree | ( | string | s,
|  | XLoader_TreeNode * | parent = `0`
| ) |  |

## § XLoader_RemoveUnprintables()

string loadX::XLoader_RemoveUnprintables | ( | string | s | ) |

## § xReadAll()

string loadX::xReadAll | ( | File * | file | ) |

## § xReadString()

string loadX::xReadString | ( | File * | file,
|  | int | lenght
| ) |  |

## Variable Documentation

## § MovedTris

list<int> loadX::MovedTris

## § Stream

File* loadX::Stream